import 'package:flutter/material.dart';


class PaymentMethodPanelContainer extends StatelessWidget {
  final double padding;
  final Widget child;

  const PaymentMethodPanelContainer({
    super.key,
    required this.padding,
    required this.child,
  });

  @override
  Widget build(BuildContext context) {
    final theme = Theme.of(context);

    return AnimatedContainer(
      duration: const Duration(milliseconds: 3000),
      padding: EdgeInsets.all(padding),
      decoration: BoxDecoration(
        color: theme.colorScheme.onSecondary,
        borderRadius: BorderRadius.circular(16),
        border: Border.all(color: theme.colorScheme.onSurface.withAlpha(30)),
      ),
      child: child,
    );
  }
}
